Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.net
Class ComponentStanzaHandler

    java.lang.Object
      org.jivesoftware.openfire.net.StanzaHandler
          org.jivesoftware.openfire.net.ComponentStanzaHandler

    public class ComponentStanzaHandler

extends StanzaHandler

Handler of XML stanzas sent by external components connected directly to the server. Received packet will have their FROM attribute overriden to avoid spoofing.

This is an implementation of the XEP-114. In the future we will add support for XEP-225 now that we are using MINA things should be easier. Since we are now using MINA incoming traffic is handled by a set of worker threads.

Author:
  Gaston Dombiak

Field Summary

Fields inherited from class org.jivesoftware.openfire.net.StanzaHandler
`CHARSET, connection, serverName, session`

Constructor Summary
`ComponentStanzaHandler(PacketRouter router, String serverName, Connection connection)`

Method Summary
`protected void` | `processIQ(org.xmpp.packet.IQ packet)` Process the received IQ packet.
`protected void` | `processMessage(org.xmpp.packet.Message packet)` Process the received Message packet.
`protected void` | `processPresence(org.xmpp.packet.Presence packet)` Process the received Presence packet.

Methods inherited from class org.jivesoftware.openfire.net.StanzaHandler
`createSession, getAddress, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentStanzaHandler

    public ComponentStanzaHandler(PacketRouter router,
                                  String serverName,
                                  Connection connection)

Method Detail

### processIQ

    protected void processIQ(org.xmpp.packet.IQ packet)
                      throws UnauthorizedException

  Description copied from class: `StanzaHandler`
  Process the received IQ packet. Registered `PacketInterceptor` will be invoked before and after the packet was routed.

  Subclasses may redefine this method for different reasons such as modifying the sender of the packet to avoid spoofing, rejecting the packet or even process the packet in another thread.

  Overrides:
    `processIQ` in class `StanzaHandler`
  Parameters:
    `packet` - the received packet.
  Throws:
    `UnauthorizedException` - if service is not available to sender.

### processPresence

    protected void processPresence(org.xmpp.packet.Presence packet)
                            throws UnauthorizedException

  Description copied from class: `StanzaHandler`
  Process the received Presence packet. Registered `PacketInterceptor` will be invoked before and after the packet was routed.

  Subclasses may redefine this method for different reasons such as modifying the sender of the packet to avoid spoofing, rejecting the packet or even process the packet in another thread.

  Overrides:
    `processPresence` in class `StanzaHandler`
  Parameters:
    `packet` - the received packet.
  Throws:
    `UnauthorizedException` - if service is not available to sender.

### processMessage

    protected void processMessage(org.xmpp.packet.Message packet)
                           throws UnauthorizedException

  Description copied from class: `StanzaHandler`
  Process the received Message packet. Registered `PacketInterceptor` will be invoked before and after the packet was routed.

  Subclasses may redefine this method for different reasons such as modifying the sender of the packet to avoid spoofing, rejecting the packet or even process the packet in another thread.

  Overrides:
    `processMessage` in class `StanzaHandler`
  Parameters:
    `packet` - the received packet.
  Throws:
    `UnauthorizedException` - if service is not available to sender.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.